#1
  1. No Profile Picture
    Contributing User
    Devshed Novice (500 - 999 posts)

    Join Date
    Mar 2008
    Posts
    670
    Rep Power
    38

    Various jQuery files conflicting


    OK, I have a site that uses jQuery deep linking and quasi AJAX.
    You can see the site here

    the deep linking works great, and I have the following jQuery file links:
    Code:
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.4.1/jquery.min.js"> 
    <script src="jquery.address-1.1.min.js"></script>
    and I have prototype.js in the root. I don't see how this is needed but without is, the deep linking and AJAX doesn't work


    OK, I have a scrolling image in the left hand side that would face in out, show a different image each time. This was originally in Flash but now I'm trying to use jQuery for this set of images.

    I found this site and it seemed simple enough.

    So I implemented it, which you can see here

    Neither the fading images nor the deep linking and AJAX are working. So I tried to change up the JS,but no luck.

    Can anyone suggest how to go about trouble shooting and resolving this?

    Also, what is good about, "
    Code:
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.4.1/jquery.min.js">"  I tried replacing this js with "<script src="jQuery1.7.2.js"></script>
    " but still no luck.

    I really don't know what to do next to get this working.

    By the way I haven't created the CSS for IE, but oit looks good on all other browsers. Just thought you'd like to know in case you're seeing it on IE.
    thanks
    Last edited by lelales; August 2nd, 2013 at 12:07 AM. Reason: more info
  2. #2
  3. No Profile Picture
    Contributing User
    Devshed Novice (500 - 999 posts)

    Join Date
    Mar 2008
    Posts
    670
    Rep Power
    38

    fixed it. Sorry for the long post.


    OK, it's working now.
    I have 3 jQuery files, which are as follows:
    Code:
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.4.1/jquery.min.js"></script>
    <script type="text/javascript" src="jquery-1.2.6.min.js"></script>
    	<script src="jquery.address-1.1.min.js"></script>
    Just a question, why do I need jquery.min.js and jquery-1.2.6.min.js?

    I understand that jquery.address-1.1.min.js has specific code for the deep linking, but wouldn't the top 2 jQuery files conflict, or override each other? Would it be better to put in the latest and greatest jQuery file instead of 2 min files?

    thanks again
  4. #3
  5. No Profile Picture
    Contributing User
    Devshed Novice (500 - 999 posts)

    Join Date
    Oct 2009
    Location
    Nebraska, USA
    Posts
    875
    Rep Power
    275
    the jquery version from google is showing v1.4.1, which is different from v1.2.6.

    Its possible that those 2 versions have enough differences between them, that both are needed in order to create whatever it is you are trying to create javascript-wise.
  6. #4
  7. No Profile Picture
    Contributing User
    Devshed Novice (500 - 999 posts)

    Join Date
    Mar 2008
    Posts
    670
    Rep Power
    38

    thakns DonR


    I just wasn't sure what was going on and thought one would everwrite the other. I always thought there would be one jQuery file that would encompass everything.

    Now I know

    thanks again.

IMN logo majestic logo threadwatch logo seochat tools logo